import { DisplayDensity } from '@metad/ocap-angular/core';
import { AggregationRole, EntityProperty, PropertyAttributes } from '@metad/ocap-core';
import * as i0 from "@angular/core";
export declare class NgmEntityPropertyComponent {
    AGGREGATION_ROLE: typeof AggregationRole;
    /**
     * Inputs
     */
    readonly property: import("@angular/core").InputSignal<PropertyAttributes>;
    readonly displayBehaviour: import("@angular/core").InputSignal<string>;
    readonly displayDensity: import("@angular/core").InputSignal<DisplayDensity>;
    readonly hiddenIcon: import("@angular/core").InputSignalWithTransform<boolean, string | boolean>;
    readonly highlight: import("@angular/core").InputSignal<string>;
    readonly role: import("@angular/core").InputSignal<AggregationRole>;
    readonly icon: import("@angular/core").WritableSignal<string>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmEntityPropertyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgmEntityPropertyComponent, "ngm-entity-property", never, { "property": { "alias": "property"; "required": false; "isSignal": true; }; "displayBehaviour": { "alias": "displayBehaviour"; "required": false; "isSignal": true; }; "displayDensity": { "alias": "displayDensity"; "required": false; "isSignal": true; }; "hiddenIcon": { "alias": "hiddenIcon"; "required": false; "isSignal": true; }; "highlight": { "alias": "highlight"; "required": false; "isSignal": true; }; "role": { "alias": "role"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
export declare const SemanticIconMap: {
    "Address.Country": string;
};
export declare function propertyIcon(property: EntityProperty): {
    icon: any;
    label: any;
};
